Skip to main content
POST
/
v1
/
owner_payments
/
{id}
Update an owner payment
curl --request POST \
  --url https://api.yorlet.com/v1/owner_payments/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "metadata": {},
  "period": {
    "end": 123,
    "start": 123
  }
}
'
{
  "id": "<string>",
  "created": 123,
  "object": "owner_payment",
  "account_collection": "<string>",
  "amount": 123,
  "building": "<string>",
  "currency": "gbp",
  "description": "<string>",
  "owner": "<string>",
  "owner_balance_transaction": "<string>",
  "period": {
    "end": 123,
    "start": 123
  },
  "reporting_type": "<string>",
  "source_account_collection": "<string>",
  "source_invoice": "<string>",
  "source_invoice_item": "<string>",
  "source_transaction": "<string>",
  "source_transfer": "<string>",
  "tax_reporting": {
    "tax": 0,
    "tax_percent": 0
  },
  "unit": "<string>",
  "account": "<string>",
  "deleted": false,
  "amount_refunded": 0,
  "auto_advance": false,
  "metadata": {},
  "refunded": false
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Body

application/json
description
string

An arbitrary string attached to the object. Often useful for displaying to users.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

period
object

The period the payment covers.

Response

200 - application/json

Returns an updated owner payment object if a valid identifier was provided.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
owner_payment
account_collection
required

The account collection associated with this owner payment, if any.

amount
integer
required

The amount of the owner payment, in the smallest currency unit.

building
string | null
required

The ID of the building the payment is associated with.

currency
enum<string>
required

Three-letter ISO currency code, in lowercase. Must be a supported currency.

Available options:
gbp,
usd,
eur,
sek
Example:

"gbp"

description
string | null
required

An arbitrary string attached to the object. Often useful for displaying to users.

owner
required

The owner the payment is for.

owner_balance_transaction
required

The owner balance transaction that records the impact of this payment.

period
object
required

The period this owner payment covers.

reporting_type
string | null
required

The reporting type used to categorize this payment.

source_account_collection
required

The source account collection for this owner payment.

source_invoice
required

The source invoice for this owner payment.

source_invoice_item
required

The source invoice item for this owner payment.

source_transaction
required

The source transaction for this owner payment.

source_transfer
required

The source transfer for this owner payment.

status
enum<string>
required

The current status of the owner payment.

Available options:
succeeded,
failed
tax_reporting
object
required

Tax reporting information for the payment.

unit
string | null
required

The ID of the unit the payment is associated with.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

amount_refunded
integer
default:0

The amount that has been refunded for this payment.

auto_advance
boolean
default:false

Whether the owner payment is automatically progressed through its lifecycle.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

refunded
boolean
default:false

Whether the owner payment has been refunded.